/* =====================================
HERO
======================================== */
.sec-hero .is-caveat {
  font-size: 120px;
  line-height: 40px;
}
.sec-hero .btn-hero {
  font-family: Poppins;
  font-weight: 600;
  font-size: 20px;
  color: black;

  border-radius: 20px !important;
  background-color: #ffb949;
  padding: 0 50px;
}

/* Gradient Black */
.gradient-black::after,
.gradient-black::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.gradient-black::after {
  z-index: 0;
  mix-blend-mode: multiply;
  background: linear-gradient(
    283.01deg,
    rgba(60, 47, 47, 0) 0%,
    rgba(60, 47, 47, 0.23) 20%,
    rgba(31, 27, 24, 0.83) 80%
  );
}
.gradient-black::before {
  z-index: 1;
  mix-blend-mode: multiply;
  background: linear-gradient(
    0deg,
    rgba(60, 47, 47, 0) 0%,
    rgba(31, 27, 24, 0.8) 100%
  );
}

/* =====================================
SEC ABOUT
======================================== */
.section-top .section-bg img {
  object-fit: contain;
  object-position: bottom;
}

/* =====================================
SEC PRODUCT
======================================== */
/* .font-product {
  font-size: 65px !important;
  color: rgb(255, 185, 0) !important;
} */
.section-product {
  background:
    url(/wp-content/uploads/2026/03/BG-Product-02-1_11zon.webp),
    linear-gradient(180deg, #bc0b20 8.71%, #8d0818 100%) !important;

  background-blend-mode: multiply;
  background-size: 100%, 100% !important;
  background-position: 100% 100% !important;
  background-repeat: no-repeat !important;
}
.section-product .section-bg img {
  object-fit: contain;
  object-position: bottom;
}
.section-product .is-caveat {
  font-size: 56px !important;
  color: #ffb900;
}
.row-product {
  margin-top: -150px;
}
/* Container Utama Kartu */
.info-card {
  display: flex;
  align-items: center;
  background-color: #ffb900;
  padding: 20px 25px;
  border-radius: 25px;
  box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
  min-height: 140px;
  padding: 50px 30px;
}
/* Lingkaran Putih untuk Ikon */

/* Card Icon */
.section-product .row-product .card-icon {
  background: white;
  width: 120px;
  height: 120px;
  min-width: 120px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 20px;
}
.section-product .row-product .card-icon img {
  width: 20px;
  height: auto;
  object-fit: contain;
}
.section-product .row-product .card-icon {
  border: 4px solid #ffb900;
  box-shadow: 0px 4px 16.5px 0px #00000040;
}
.section-product .row-product > .col:nth-child(1) .card-icon svg {
  transform: translateY(-5px);
}
.section-product .row-product > .col:nth-child(2) .card-icon svg {
  transform: translate(3px, 4px);
}
.section-product .row-product > .col:nth-child(3) .card-icon svg {
  transform: translateY(-5px);
}
.section-product .row-product > .col:nth-child(4) .card-icon svg {
  transform: translate(2px);
}

/* Styling Teks */
.card-content h4 {
  font-family: Amiko;
  font-weight: 700;

  color: #a30000;
  margin: 0 0 5px 0;
  font-size: 25px;
}
.card-content p {
  color: #ffffff;
  margin: 0;
  font-size: 16px;
  line-height: 1.4;
}
/* Responsif untuk HP */
@media (max-width: 700px) {
  .info-card {
    flex-direction: column;
    text-align: center;
  }
  .card-icon {
    margin-right: 0;
    margin-bottom: 25px;
  }
}

/* Container Utama Tombol */
.section-product .btn-product-all {
  display: inline-flex;
  align-items: center;
  background-color: #ffb900;
  color: #3c2f2f;
  padding: 2px 5px 2px 30px;
  border-radius: 50px;
  text-decoration: none;
  font-weight: bold;
  font-size: 16px;
  transition: all 0.3s ease;
}
.section-product .btn-product-all .btn-text {
  font-family: Poppins;
  font-weight: 600;
  font-size: 14px;
}
.section-product .btn-product-all svg {
  margin-left: 15px;
  width: 35px;
}

/* Lingkaran Abu-abu/Gelap untuk Ikon */
.btn-icon-circle {
  background-color: #3c2f2f;
  color: #ffffff;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 15px;
  transition: transform 0.3s ease;
}
/* Hover */
.btn-product-all:hover {
  background-color: #e6a700;
  color: #000;
}
.btn-product-all:hover .btn-icon-circle {
  transform: translateX(3px);
}

/* =====================================
SEC EVERY BITES
======================================== */
/* .font-title {
  font-size: 65px !important;
} */
.font-small {
  /* font-family: "Caveat" !important;  */
  /* font-size: 80px !important; */
  /* color: rgb(255, 185, 0) !important; */
  /* line-height: 100px; */
}

.sec-every-bite .is-caveat {
  font-size: 86px;
  line-height: 90px;
  color: #ffb900;
}
.sec-every-bite .section-bg img {
  object-fit: contain;
  object-position: bottom;
}

/* Container Tombol Shopee */
.btn-shopee {
  font-family: Poppins;
  font-weight: 600;
  font-size: 20px;

  display: inline-flex;
  align-items: center;
  background-color: #ee4d2d; /* Warna Oranye Shopee */
  color: #ffffff !important;
  text-decoration: none;
  font-weight: bold;
  transition: all 0.3s ease;
  border: none;

  padding: 8px 25px 8px 45px;
  border-radius: 22px;
}
/* Lingkaran Putih untuk Ikon */
.btn-icon-shopee {
  background-color: #ffffff03;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 10px;
  transform: scale(1.5);
}
/* Ukuran Ikon SVG Shopee */
.btn-icon-shopee svg {
  width: 18px;
  height: 18px;
}
/* Efek Hover */
.btn-shopee:hover {
  background-color: #ef5b0b;
  transform: translateY(-2px);
  box-shadow: 0 5px 15px rgba(238, 77, 45, 0.3);
  color: #ffffff !important;
}
/* Efek udang melayang menabrak section bawah */
.floating-prawn {
  bottom: -90px;
  left: 130px;
  position: absolute;
  z-index: 10;
  transform: scale(1.2) translateX(-50px) !important;
  transform-origin: right bottom;
  transition: transform 0.3s ease;
  display: block;
}
/* Sedikit bayangan agar lebih nyata (opsional) */
.floating-prawn img {
  filter: drop-shadow(0 10px 15px rgba(0, 0, 0, 0.2));
}
/* Pengaturan khusus HP*/
@media (max-width: 700px) {
  .floating-prawn {
    margin-bottom: -60px !important;
  }
}
/* --- RESPONSIVE TABLET (Max-width: 849px) --- */
@media only screen and (max-width: 849px) {
  .nav-footer,
  .footer-wrapper {
    position: relative;
    z-index: 99 !important;
  }

  /* =====================================
    HERO
    ====================================== */
  .sec-hero .is-caveat {
    font-size: 80px;
    line-height: 40px;
  }
  .sec-hero .btn-hero {
    border-radius: 20px;
    padding: 0px 40px;
    font-size: 20px;
  }

  /* =====================================
    SEC TOP
    ====================================== */
  .section-top .section-bg img {
    left: -80%;
    width: 200%;
    max-width: unset;
  }

  /* =====================================
    SEC PRODUCT
    ====================================== */
  .section-product {
    background-size: 125%, 100% !important;
    background-position: 120% 92% !important;
  }
  .section-product .section-bg img {
    width: 180%;
    max-width: unset;
    left: -79%;
  }

  .section-product .row-product .col .col-inner .info-card {
    padding: 20px !important;
    min-height: 120px !important;
    gap: 15px;
  }
  .section-product .row-product .col .col-inner .info-card .card-icon {
    width: 70px;
    height: 70px;
    min-width: 70px;
  }
  .section-product .row-product .col .col-inner .info-card .card-icon img {
    width: 35px !important;
  }
  .card-content h4 {
    font-size: 18px;
  }
  .card-content p {
    font-size: 14px !important;
  }

  /* Column */
  .section-product .row-product {
    margin-top: -100px;
  }
  .section-product .row-product > .col:nth-child(odd) {
    padding-right: 5px;
    padding-bottom: 10px !important;
  }
  .section-product .row-product > .col:nth-child(even) {
    padding-left: 5px;
    padding-bottom: 10px !important;
  }

  /* Info Card */
  .section-product .row-product .col .col-inner .info-card {
    flex-direction: column;
    text-align: center;
    margin-top: 0 !important;
    margin-bottom: 25px !important;
    padding: 30px 20px !important;
  }
  .section-product .row-product .col .col-inner,
  .section-product .row-product .col .col-inner .info-card {
    height: 100%;
  }
  .section-product .row-product .col .col-inner .info-card {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
  }
  .section-product .row-product .col .col-inner .info-card .card-icon {
    margin-top: -70px;
    width: 100px !important;
    height: 100px !important;
    margin-right: 0;
  }
  .section-product .row-product .col .col-inner .info-card .card-content {
    text-align: center;
  }

  /* =====================================
    SEC EVERY BITES
    ====================================== */
  .sec-every-bite .is-caveat {
    display: block;
  }
  .sec-every-bite .section-bg img {
    width: 130%;
    max-width: unset;
    right: -120px;
    left: unset;
  }
  .floating-prawn {
    display: none !important;
  }
}
/* --- RESPONSIVE HP (Max-width: 430px) --- */
@media only screen and (max-width: 430px) {
  /* =====================================
    HERO
    ====================================== */
  .sec-hero .is-caveat {
    font-size: 60px;
  }
  .sec-hero .btn-hero {
    font-size: 16px;
    width: fit-content;
    display: block;
    text-align: center;
    border-radius: 16px !important;
    color: black;
  }

  /* =====================================
    SEC PRODUCT
    ====================================== */
  .section-product {
    background-size: 140%, 100% !important;
    background-position: 100% 98% !important;
  }
  .section-product .is-caveat {
    font-size: 36px !important;
  }

  .section-product .row-product .col .col-inner .info-card .card-icon {
    margin-bottom: 15px !important;
    margin-top: -70px;
    margin-right: 0;
  }

  .card-content h4 {
    line-height: 24px;
    min-height: 48px;
    margin-bottom: 15px;
  }

  /* Menghilangkan margin bawaan kolom Flatsome agar tidak double jaraknya */
  .row-equal-height > .col,
  .section-product .col {
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
  }

  /* =====================================
    SEC EVERY BITES
    ====================================== */
  .sec-every-bite .is-caveat {
    font-size: 52px;
    line-height: 52px;
    margin: 0;
  }
  .sec-every-bite .section-bg img {
    width: 180%;
  }

  .btn-shopee {
    padding: 5px 25px 5px 40px;
    border-radius: 18px;

    font-size: 16px;
  }
  .btn-icon-shopee {
    margin-left: 10px;
    transform: scale(1.3);
  }
}
